import * as $dara from '@darabonba/typescript';
export declare class ResetDisksResponseBodyOperationProgressSetOperationProgressRelatedItemSetRelatedItem extends $dara.Model {
    /**
     * @remarks
     * The resource name.
     *
     * @example
     * SnapshotId
     */
    name?: string;
    /**
     * @remarks
     * The resource ID.
     *
     * @example
     * s-j6cdofbycydvg7ey****
     */
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ResetDisksResponseBodyOperationProgressSetOperationProgressRelatedItemSet extends $dara.Model {
    relatedItem?: ResetDisksResponseBodyOperationProgressSetOperationProgressRelatedItemSetRelatedItem[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ResetDisksResponseBodyOperationProgressSetOperationProgress extends $dara.Model {
    /**
     * @remarks
     * The error code that is returned if the request failed. This parameter is empty if the request is successful.
     *
     * For information about error codes and error messages, see [Service error codes](https://error-center.alibabacloud.com/status/product/Ecs).
     *
     * @example
     * 400
     */
    errorCode?: string;
    /**
     * @remarks
     * The error message that is returned if the request failed. This parameter is empty if the request is successful.
     *
     * For information about error codes and error messages, see [Service error codes](https://error-center.alibabacloud.com/status/product/Ecs).
     *
     * @example
     * testErrorMsg
     */
    errorMsg?: string;
    /**
     * @remarks
     * Indicates whether the request is successful. If the request is successful, Success is returned. If the request failed, an error code and an error message are returned.
     *
     * @example
     * Success
     */
    operationStatus?: string;
    /**
     * @remarks
     * Details about the resources.
     */
    relatedItemSet?: ResetDisksResponseBodyOperationProgressSetOperationProgressRelatedItemSet;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ResetDisksResponseBodyOperationProgressSet extends $dara.Model {
    operationProgress?: ResetDisksResponseBodyOperationProgressSetOperationProgress[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ResetDisksResponseBody extends $dara.Model {
    /**
     * @remarks
     * Details about the rollback operation.
     */
    operationProgressSet?: ResetDisksResponseBodyOperationProgressSet;
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * 3D66C85C-AA97-4A00-B0ED-2D9A80FE782C
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
